#include <iostream>
#include <math.h>
using namespace std;

// sum of all numbers / count
double average(int x, int y)
{
	int count = y - x + 1;
	double sum = 0;
	double avg;

	int i;

	for (i = x; i <= y; i++)
	{
		sum = sum + i;
	}

	avg = sum / count;
	return avg;
}

// square root of V
// where V is : [sum of square(num - mean) for each num] / count
// mean is average in this case
double standardDeviation(int x, int y, double avg)
{
	int count = y - x + 1;
	double sumOfVar = 0;
	double dev;

	int i;

	for (i = x; i <= y; i++)
	{
		sumOfVar = sumOfVar + pow((i - avg), 2);
	}

	dev = sqrt(sumOfVar / count);
	return dev;
}

int main()
{
	int x, y;
	double avg, stdDev;

	cout << "This program takes two numbers (x,y), then calculates "
		<< "average and standard deviation of the values between these two numbers" << endl << endl;
	cout << "Enter two numbers to specify the interval [x,y]: ";
	cin >> x >> y;

	if (x <= y)
	{
		avg = average(x, y);
		stdDev = standardDeviation(x, y, avg);
	}
	else
	{
		avg = average(y, x);
		stdDev = standardDeviation(y, x, avg);
	}

	cout << "The average of numbers in the interval [" << x << "," << y << "] is " << avg << endl;
	cout << "The standard deviation of numbers in the interval [" << x << "," << y << "] is " << stdDev << endl;

	return 0;
}
